javax.management.openmbean

## Class KeyAlreadyExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - javax.management.openmbean.KeyAlreadyExistsException

All Implemented Interfaces:
  Serializable

    public class KeyAlreadyExistsException
    extends IllegalArgumentException

This runtime exception is thrown to indicate that the index of a row to be added to a tabular data instance is already used to refer to another row in this tabular data instance.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`KeyAlreadyExistsException()` A KeyAlreadyExistsException with no detail message.
`KeyAlreadyExistsException(String msg)` A KeyAlreadyExistsException with a detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### KeyAlreadyExistsException

    public KeyAlreadyExistsException()

A KeyAlreadyExistsException with no detail message.

#### KeyAlreadyExistsException

    public KeyAlreadyExistsException(String msg)

A KeyAlreadyExistsException with a detail message.

Parameters:
  `msg` - the detail message.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.